API reference
GET
/organization/{id}/uat/agent/UnattendedGroups/{uatID}/devicesList devices in unattended group
List devices in an unattended group.
Authorization
bearerAuth http (bearer)
Parameters
cols (query)
Column selection
string
offset (query)
Row offset for pagination
string
limit (query)
Max rows to return
string
orderby (query)
Field to sort by
string
orderdir (query)
Sort direction (ASC/DESC)
string
showofflinedevices (query)
'false' = online devices only; omit or 'true' to include offline
string
wakeonlan (query)
'true' = Wake-on-LAN capable devices only
string
id (path) Required
Organization ID
string
uatID (path) Required
Beam group ID
string
Responses
200
OK
application/json
object
rowsarray
array
countinteger
integer
403
Authorization Problem - either the JWT is malformed or the signature is bad, or permission is denied
application/json
object
codenumber
number
refcodenumber
number
descriptionstring
string
X-Request-Idstring
string
{
"PermissionDenied": {
"value": {
"code": 403,
"refcode": 200403,
"description": "Authorization token is invalid: Error request id: 1-62ed207a-24baa293558168e06b8402c3 [8/5/2022, 6:51:54 AM PST]",
"X-Request-Id": "1-62ed207a-24baa293558168e06b8402c3"
}
},
"MalformedJWTOrBadSignature": {
"value": {
"code": 403,
"refcode": 200403,
"description": "Authorization token is invalid: JsonWebTokenError request id: 1-62ed1a55-0265e424598b4f1b580bd784 [8/5/2022, 6:25:41 AM PST]",
"X-Request-Id": "1-62ed1a55-0265e424598b4f1b580bd784"
}
}
}